# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'robot/simulator/version'

Gem::Specification.new do |spec|
  spec.name          = "robot-simulator"
  spec.version       = Robot::Simulator::VERSION
  spec.authors       = ["Andrew Feng"]
  spec.email         = ["mingliangfeng@gmail.com"]
  spec.description   = %q{Robot Simulator Code Exercise}
  spec.summary       = %q{A robot simulator that can receive commands and move around on a table surface. It will prevent falling from the table, and can report its position.}
  spec.homepage      = "https://github.com/mingliangfeng"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", '~> 0.19'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", '~> 10.3'
  spec.add_development_dependency 'rspec', '3.1'
end
